|  | Home · All Classes · Modules

# Phonon.EffectDescriptionModel Class Reference
[phonon module]

Inherits QAbstractListModel.

### Methods

- __init__ (self, QObject parent = None)
- __init__ (self, list-of-Phonon.EffectDescription data, QObject parent = None)
- QVariant data (self, QModelIndex index, int role = Qt.DisplayRole)
- bool dropMimeData (self, QMimeData data, Qt.DropAction action, int row, int column, QModelIndex parent)
- Qt.ItemFlags flags (self, QModelIndex index)
- QMimeData mimeData (self, list-of-QModelIndex indexes)
- QStringList mimeTypes (self)
- list-of-Phonon.EffectDescription modelData (self)
- EffectDescription modelData (self, QModelIndex index)
- moveDown (self, QModelIndex index)
- moveUp (self, QModelIndex index)
- bool removeRows (self, int row, int count, QModelIndex parent = QModelIndex())
- int rowCount (self, QModelIndex parent = QModelIndex())
- setModelData (self, list-of-Phonon.EffectDescription data)
- Qt.DropActions supportedDropActions (self)
- int tupleIndexAtPositionIndex (self, int positionIndex)
- list-of-int tupleIndexOrder (self)

## Detailed Description

## Method Documentation

### EffectDescriptionModel.__init__ (self, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

### EffectDescriptionModel.__init__ (self, list-of-Phonon.EffectDescription data, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

### QVariant EffectDescriptionModel.data (self, QModelIndex index, int role = Qt.DisplayRole)

### bool EffectDescriptionModel.dropMimeData (self, QMimeData data, Qt.DropAction action, int row, int column, QModelIndex parent)

### Qt.ItemFlags EffectDescriptionModel.flags (self, QModelIndex index)

### QMimeData EffectDescriptionModel.mimeData (self, list-of-QModelIndex indexes)

### QStringList EffectDescriptionModel.mimeTypes (self)

### list-of-Phonon.EffectDescription EffectDescriptionModel.modelData (self)

### EffectDescription EffectDescriptionModel.modelData (self, QModelIndex index)

### EffectDescriptionModel.moveDown (self, QModelIndex index)

### EffectDescriptionModel.moveUp (self, QModelIndex index)

### bool EffectDescriptionModel.removeRows (self, int row, int count, QModelIndex parent = QModelIndex())

### int EffectDescriptionModel.rowCount (self, QModelIndex parent = QModelIndex())

### EffectDescriptionModel.setModelData (self, list-of-Phonon.EffectDescription data)

### Qt.DropActions EffectDescriptionModel.supportedDropActions (self)

### int EffectDescriptionModel.tupleIndexAtPositionIndex (self, int positionIndex)

### list-of-int EffectDescriptionModel.tupleIndexOrder (self)